// 
// xblasvis - C++ version of graphics routines - X11 GUI  
// 
// ExportDlg : Dialog box for exporting ASCII data
//
// (C) 2001 Andrew Ross <aross@env.leeds.ac.uk>
//

#ifndef _EXPORTDLG_H
#define _EXPORTDLG_H

#include <qdialog.h>
#include <qlistbox.h>
#include <qbuttongroup.h>
#include <qlineedit.h>

#include "readfile.h"
#include "dataplot.h"
#include "optdlg.h"

class ExportDlg : public QDialog {
  Q_OBJECT
public:
  ExportDlg(QWidget *, ReadFile *, OptDlg *, const char * = NULL);  

 public slots:
    void apply();
  void namePressed();
  void optPressed();

private:
  QListBox *dataBox;
  QLineEdit *fnameEdit;
  OptDlg *optDlg;

  // Plotting data
  ReadFile *datafile;

  // Data to store results   
  const char *data;
  QString fname;

};

#endif  // _EXPORTDLG_H
