// 
// xblasvis - C++ version of graphics routines - X11 GUI  
// 
// Plot1dDlg : Dialog box for plotting 1-D data
//
// (C) 2001 Andrew Ross <aross@env.leeds.ac.uk>
//

#ifndef _PLOT1DDLG_H
#define _PLOT1DDLG_H

#include <qdialog.h>
#include <qlistbox.h>
#include <qbuttongroup.h>
#include <qlineedit.h>

#include "readfile.h"
#include "dataplot.h"
#include "optdlg.h"

class Plot1dDlg : public QDialog {
  Q_OBJECT
public:
  Plot1dDlg(QWidget *, ReadFile *, DataPlot *, OptDlg *, const char * = NULL);  

 public slots:
  void plotPressed();
  void suspendPressed();
  void finishPressed();
  void cancelPressed();
  void optPressed();
  void dimChanged(int);

public:
  void finishPlot();
  const char *getDataName();
  int getPlotDim();
  double getPlotDimVal1();
  double getPlotDimVal2();
  double getPlotDimVal3();

private:
  bool apply();
  void plotGraph();
  void startPlot();

private:
  QButtonGroup *dimGroup;
  QListBox *dataBox;
  QLineEdit *dimVal1Edit, *dimVal2Edit, *dimVal3Edit;

  OptDlg *optDlg;

  // Plotting data
  DataPlot *plot;
  ReadFile *datafile;
  DataSet *temperature;
  // Current output device
  DataPlot::devtype dev;

  // Data to store results   
  const char *data;  
  int plotdim, local_plotdim;
  double dimval1, dimval2, dimval3;

};

#endif  // _PLOT1DDLG_H
