// -*-c++-*-
// 
// blasvis++ - C++ version of graphics routines
//
// DataVect : Class to encapsulate an vector set of DataSet objects
//            and perform arithemtic on them.
//
// (C) 2001 Andrew Ross <aross@env.leeds.ac.uk>

#ifndef _DATAVECT_H
#define _DATAVECT_H

#include "blastype.h"
#include "dataset.h"

class DataVect {
 public: 
  DataVect();
  DataVect(int, int, int, int);
  DataVect(DataSet *, DataSet *, DataSet *);
  ~DataVect();

  void Delete();

  DataSet *GetX();
  DataSet *GetY();
  DataSet *GetZ();

  DataVect *Cross(DataVect *);
  DataSet *Dot(DataVect *);
  DataSet *Div(Grid *);
  DataVect *Curl();
  
  bool IsCached() {return cached;};
  void Cached(bool c) {cached = c;};

 private:
  DataSet *datax, *datay, *dataz;

  bool cached;

  int onPPoints;

  friend class DataSet;

};

#endif
