//
// blasvis - C++ version of graphics routine
//
// TimeSeries : Class to encapsulate a time series of data, 
//              including interpolating it onto an arbitrary grid. 
//
// (C) 2004 Andrew Ross <aross@env.leeds.ac.uk>
//

#ifndef _TIMESERIES_H
#define _TIMESERIES_H

#include "blastype.h"

#ifndef NULL
#define NULL 0
#endif

class TimeSeries {
 public:
  TimeSeries();
  TimeSeries(bldata*, bldata*, int);

  void SetName(const char *);
  void DisplayData();
  void DisplayData(const char *);
  bldata GetTime(int);
  bldata GetVal(int);
  bldata GetVal(bldata);
  char *GetName();
  bldata GetMinTime();
  bldata GetMaxTime();
  int GetNumPoints() {return npts;};

 private:
  bldata *data;
  bldata *time;
  int npts;

  char name[20];
};

#endif
