// -*-c++-*-
//
// Header file for ifstream wrapper class to uncompress a file first
// if necessary.
//
// (C) 2001 Andrew Ross <aross@env.leeds.ac.uk>

#ifndef _ZSTREAM_H
#define _ZSTREAM_H

#include <fstream>
#include <cstdio>

#include "../config.h"

class izstream : public std::ifstream {
 public:
  izstream() {}
#ifdef HAS_NEW_IOSTREAM
  izstream(const char *name, std::ios_base::openmode mode=std::ios::in);

  void open(const char *name, std::ios_base::openmode mode=std::ios::in);
#else
  izstream(const char *name, int mode=std::ios::in);

  void open(const char *name, int mode=std::ios::in);
#endif
  
 private:
  void uncompress(const char *name);
};

#endif
